I built a new Data-sync server yesterday, build 315. I put it into
production this morning. I had to implement the SSLv3 workaround in the
thread posted on Feb 26th, but after that everyone seems to have moved
over fairly seamlessly except for 2 of my users who both have Verizon
iPhones running 4.2.6. My other half a dozen or so iPhones are running
4.3 and they are working fine, and all Android devices are in sync.

The Verizon iPhone users both get errors about account validation. Has
anyone heard or seen this problem yet? Is this an SSL thing?